GET DLC integrations
Get DLC integrations for Brand
Path Parameters
- Type: stringbrand
_id requiredBrand UUID
Headers
- Type: stringX
- Request - I D requiredUnique request identifier
- Type: stringApplicationrequired
Application key
- Type: stringAcceptrequired
Accept header
- Type: stringA
P I -version requiredApi version
- Type: stringAuthorizationrequired
Authorization header
- enumX
- Q B - Enabled requiredHeader which if sent with value 'true' will allow usage of the query building feature in response (through the request's query params). It is mandatory for this part of the documentation.
values- true
- false
Responses
- application/json
Request Example for get/brands/{brand_id}/dlc-integrations
curl 'https://api-public-demo.menu.app/api/brands/{brand_id}/dlc-integrations' \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
--header 'Application: ' \
--header 'Accept: application/json' \
--header 'API-version: 5.0.0' \
--header 'Authorization: ' \
--header 'X-QB-Enabled: true'
{
"status": "OK",
"code": 200,
"data": {
"dlc_integration": {
"id": "5f0e2228-765f-42db-9ba4-d48caa5dd8a9",
"brand_id": "ea3c2a24-6210-40b3-84ef-447ee9d471b9",
"type_id": 1,
"reference_type": "Plain"
}
}
}